# drone-abra

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/drone-abra/status.svg?ref=refs/heads/main)](https://drone.autonomic.zone/coop-cloud/drone-abra)

Use [`abra`](https://git.autonomic.zone/coop-cloud/abra) as a [Drone plugin](http://plugins.drone.io/)!

## Settings

### Required (no default)

- **command**: The command to run (passed to `abra` executable)
- **deploy_key**: SSH private key part for running `git push` related commands

### Optional

- **recipe_branch** (default: `main`): The target branch to use for recipe release `git push` operations

## Example

```yaml
---
kind: pipeline
name: recipe release
steps:
  - name: release a new version
    image: decentral1se/drone-abra:latest
    settings:
      command: recipe matrix-synapse release
      deploy_key:
        from_secret: abra_bot_deploy_key
```

## Publishing

The version can be bumped in the [.drone.yml](./.drone.yml) file. We're sticking with `latest` as we iterate on the code right now.

If you push a commit to master, the [Drone config](./.drone.yml) will publish to [Docker Hub](https://hub.docker.com/r/decentral1se/drone-abra).
